Bug 80203 - need more initrd.img free space for LVM install
Summary: need more initrd.img free space for LVM install
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: phoebe
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-22 08:58 UTC by Alexandre Oliva
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 06:00:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2002-12-22 08:58:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
vgscan can create very large files in /etc/lvmtab.d and /etc/lvmconf.  The 700Kb
that are free when the installer starts aren't quite enough for a 4 PV 227.36GB
volume group configuration file, that takes more than 1 MB.  Even for a smaller
2 PV 64 GB volume group, if you happen to run vgscan by hand in the shell and
then tweak some partitions, you'll probably fill in the root filesystem of the
installer generating very odd crashes in anaconda (IO exceptions for disk full),
or RPM errors while installing packages.

I've verified that adding more 5MB of /dev/zero to the uncompressed initrd.img
adds about 1 Kb to the compressed initrd file.  Can we afford to take up more 5
MB of memory with a larger initrd.img?

The alternative I came up with to get the installer to not crash was to create
an ext2 filesystem in /dev/ram, copy the contents of /etc into it then remount
it atop /etc (or just bind /etc to it).

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Start the installer on a pre-installed, relatively large LVM-enabled system
2.Go to the shell virtual terminal and run df -k /
3.Proceed to the disk druid screen

Actual Results:  The free space in / decreases significantly.  du -k /etc shows
a lot of it is taken by /etc/lvmtab.d and /etc/lvmconf.

Expected Results:  We shouldn't get close to no free space in /

Additional info:

Removing drivers from /tmp after they're loaded helps make room for the lvm
config files, but it's not quite enough for the installation to complete, not
even in the smaller system.  On the larger system, the system won't even
recognize the pre-installed system and the existing volume group.

Comment 1 Alexandre Oliva 2003-01-21 18:13:40 UTC
Still present in phoebe 2.

Comment 2 Jeremy Katz 2003-02-11 07:22:12 UTC
Added 2 megs for now.  Hope to come up with something better before the final
release, but if not, we have a stopgap.

Comment 3 Alexandre Oliva 2003-02-19 04:48:40 UTC
The additional 2MB seem to have been enough, even for an install on machines
with a 230GB VG with 4MB extents and 300GB VG with 8MB extents.

Comment 4 Jeremy Katz 2003-02-20 06:00:12 UTC
This is going to have to be good enough for now.


Note You need to log in before you can comment on or make changes to this bug.